%define modname pdo_mysql
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 73_%{modname}.ini

Summary:	MySQL Interface driver for PDO
Name:		php-%{modname}
Version:	5.2.1
Release:	%mkrel 1
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP License
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	MySQL-devel
Requires:	php-pdo >= 5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PDO_MYSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to MySQL 3.x and 4.x databases.
 
PDO_MYSQL will take advantage of native prepared statement support present in
MySQL 4.1 and higher. If you're using an older version of the mysql client
libraries, PDO will emulate them for you.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .
ln -s %{_usrsrc}/php-devel/ext .

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS get_error_codes.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.0
+ Revision: 117412
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-2mdv2007.1
+ Revision: 78245
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-1mdv2007.0
+ Revision: 77380
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-2mdv2007.1
+ Revision: 75301
- Import php-pdo_mysql



* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.3-1mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-2mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- rebuilt against php-5.1.2

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-2mdk
- rebuilt due to package loss

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-1mdk
- rebuilt against php-5.1.0

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.2mdk
- rebuilt against MySQL-5.0.15

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.1mdk
- initial Mandriva package
